Retrieve all status list signers
Roles
Analytics Events
/v2/credentials/mobile/status-list-signersRetrieves all existing status list signers.
Analytic events
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_LIST_START
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_LIST_SUCCESS
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"active": false,
"csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"
}
]
}How would you rate this page?
Revoke a status list signer POST
Revokes an existing status list signer, making it unusable for signing new status lists. If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked status list signers and any status list they signed as untrusted. <Callout> Only available in implementations using managed IACAs. When using unmanaged (external) IACAs, you must revoke the status list signer certificate directly with the CA that issued it. </Callout> ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_START * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_FAIL
Retrieve a status list signer GET
Retrieves an existing status list signer. Status list signer operations are only available in implementations using unmanaged (external) IACAs. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_START * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_FAIL